Summary: 	Powerful replacement for inetd
Name: 		xinetd
Version: 	2.3.15
Release: 	%mkrel 3
Group: 		System/Base
# convert.pl is GPL
License: 	BSD and GPL
URL: 		http://www.xinetd.org
Source: 	http://www.xinetd.org/%{name}-%{version}.tar.gz
Source1:	xinetd.service
Source2:	xinetd.default.config
Source3:	convert.pl
Source4:	xinetd-ttime
Source5:	xinetd-utime
Source6:	xinetd-tdtime
Source7:	xinetd-udtime
Source8:	xinetd-echo
Source9:	xinetd-uecho
Source10:	xinetd-chargen
Source11:	xinetd-uchargen
Source12:	xinetd.sysconf
Source13:	xinetd-servers
Source14:	xinetd-services
Source15:	xinetd-xadmin
Source50:	faq.html
Requires:	tcp_wrappers
Requires(post):	rpm-helper
Requires(postun):	rpm-helper
Requires(preun):	rpm-helper
BuildRequires:	tcp_wrappers-devel
Obsoletes:  xinetd-ipv6
Obsoletes:  xinetd-devel
Obsoletes:  netkit-base
Provides:   xinetd-devel
Provides:   netkit-base

%description
xinetd is a powerful replacement for inetd.
xinetd has access control machanisms, extensive logging capabilities,
the ability to make services available based on time, and can place
limits on the number of servers that can be started, among other things.

xinetd has the ability to redirect TCP streams to a remote host and
port. This is useful for those of that use ip masquerading, or NAT,
and want to be able to reach your internal hosts.

xinetd also has the ability to bind specific services to specific
interfaces. This is useful when you want to make services available
for your internal network, but not the rest of the world.  Or to have
a different service running on the same port, but different interfaces.

%package simple-services
Summary: Internal xinetd simple services
Group: System/Base
License: BSD
Requires: xinetd

%description simple-services
Internal xinetd simple services (not very useful one):

- chargen
- daytime
- echo
- time
- servers
- services
- xadmin

%prep
%setup -q
install -m 0644 %SOURCE50 FAQ.html
#chmod a+r INSTALL README FAQ.html CHANGELOG COPYRIGHT xinetd/sample.conf

%build
%serverbuild
%configure2_5x  --with-libwrap --with-inet6
%make

%install
rm -rf %{buildroot}
%makeinstall \
    DAEMONDIR=%{buildroot}%{_sbindir} \
    MANDIR=%{buildroot}/%{_mandir} \
    FMODE="-m 644"

install -m 755 %SOURCE3 %{buildroot}%{_sbindir}/inetdconvert

install -D -m 644 %SOURCE2 %{buildroot}%{_sysconfdir}/xinetd.conf
install -D -m 755 %SOURCE1 %{buildroot}%{_unitdir}/xinetd.service
install -D -m 644 %SOURCE12 %{buildroot}%{_sysconfdir}/sysconfig/xinetd

install -d -m 755 %{buildroot}%{_sysconfdir}/xinetd.d
install -m 644 %SOURCE4 %{buildroot}%{_sysconfdir}/xinetd.d/time
install -m 644 %SOURCE5 %{buildroot}%{_sysconfdir}/xinetd.d/time-udp
install -m 644 %SOURCE6 %{buildroot}%{_sysconfdir}/xinetd.d/daytime
install -m 644 %SOURCE7 %{buildroot}%{_sysconfdir}/xinetd.d/daytime-udp
install -m 644 %SOURCE8 %{buildroot}%{_sysconfdir}/xinetd.d/echo
install -m 644 %SOURCE9 %{buildroot}%{_sysconfdir}/xinetd.d/echo-udp
install -m 644 %SOURCE10 %{buildroot}%{_sysconfdir}/xinetd.d/chargen
install -m 644 %SOURCE11 %{buildroot}%{_sysconfdir}/xinetd.d/chargen-udp
install -m 644 %SOURCE14 %{buildroot}%{_sysconfdir}/xinetd.d/services

# no need to ship this one since we provide inetdconvert
rm -f %{buildroot}%{_sbindir}/itox
rm -f %{buildroot}%{_sbindir}/xconv.pl
rm -f %{buildroot}/%{_mandir}/man8/itox*

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc INSTALL README FAQ.html CHANGELOG COPYRIGHT xinetd/sample.conf
%config(noreplace) %{_sysconfdir}/sysconfig/xinetd
%config(noreplace) %{_sysconfdir}/xinetd.conf
%{_unitdir}/xinetd.service
%{_sbindir}/xinetd
%{_sbindir}/inetdconvert
%{_mandir}/*/*

%files simple-services
%config(noreplace) %{_sysconfdir}/xinetd.d/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.3.15-3.mga3
+ Revision: 387056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 09 2012 guillomovitch <guillomovitch> 2.3.15-2.mga3
+ Revision: 280157
- trim package description
- add systemd support
- drop sysinit support

* Thu Jun 14 2012 luigiwalser <luigiwalser> 2.3.15-1.mga3
+ Revision: 260659
- 2.3.15

* Tue May 08 2012 pterjan <pterjan> 2.3.14-14.mga2
+ Revision: 234910
- Do not own /etc/xinetd.d, it is already in filesystem
- Fix initscript's LSB header

* Wed Jan 12 2011 ahmad <ahmad> 2.3.14-13.mga1
+ Revision: 7000
- fix license
- imported package xinetd

